package com.foreverwin.mesnac.dispatch.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 车间发料
 * </p>
 *
 * @author Leon.L
 * @since 2021-07-09
 */

@TableName("Z_ISSUE_ITEM")
public class IssueItem extends Model<IssueItem> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableField("HANDLE")
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 组件物料
     */
   @TableField("ITEM")
   private String item;
    /**
     * 库存编号
     */
   @TableField("INVENTORY")
   private String inventory;
    /**
     * 发料数量
     */
   @TableField("QTY")
   private BigDecimal qty;
    /**
     * 创建用户
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 更新用户
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 更新时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getItem() {
      return item;
   }

   public void setItem(String item) {
      this.item = item;
   }

   public String getInventory() {
      return inventory;
   }

   public void setInventory(String inventory) {
      this.inventory = inventory;
   }

   public BigDecimal getQty() {
      return qty;
   }

   public void setQty(BigDecimal qty) {
      this.qty = qty;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public static final String HANDLE = "HANDLE";

   public static final String SITE = "SITE";

   public static final String ITEM = "ITEM";

   public static final String INVENTORY = "INVENTORY";

   public static final String QTY = "QTY";

   public static final String CREATE_USER = "CREATE_USER";

   public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

   public static final String MODIFY_USER = "MODIFY_USER";

   public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "IssueItem{" +
         "handle = " + handle +
         ", site = " + site +
         ", item = " + item +
         ", inventory = " + inventory +
         ", qty = " + qty +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}